//_________________________________________________________________
//
// NumFrm.h
// 
// Written by Eugeny Berezkin, 
// E-mail: Eugeny.Berezkin@cma.ru
//_________________________________________________________________
//

#ifndef __NumFrm_h__
#define __NumFrm_h__

// Maximum length of formatted number 
#define MAX_NFORMAT_LEN 128

class CNumFrmNode;

class CNumericFormat
{
public:
    CNumericFormat();
    CNumericFormat(const CString& sFormat);
	~CNumericFormat();

    BOOL LoadString(UINT nRes);
    BOOL SetFormat(const CString& sFormat);
    CString GetFormat() const;

    LPCTSTR PrintNumber(double nVal, CDC* pDC, LPRECT lpRect, UINT nFormat = DT_LEFT, int nForceDec = -1) const;
    LPCTSTR PrintNumberETO(double nVal, CDC* pDC, int x, int y, UINT nOptions, LPCRECT lpRect, int nForceDec = -1) const;
    LPCTSTR SPrintNumber(double nVal, BOOL bFull = FALSE) const;
    LPCTSTR SPrintNumberSimple(double nVal, int nForceDec = -1) const;

	friend CArchive& operator<<(CArchive& ar, const CNumericFormat& frmt);
	friend CArchive& operator>>(CArchive& ar, CNumericFormat& frmt);

private:
    CNumFrmNode*    m_pNodes;
    int             m_nNodeCount;
    CString		    m_sFormat;
};

#endif

